void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		case "First time":
			if(sStory == "advisor_quest")
			{

		//15
		//during advisor quest

				dialog.text = "Nie lekceważ Marcusa Le Sanguinaire. Wielu popełniło ten błąd, a teraz koralowce pokrywają ich kości. Może to jest idiota i pozorant, ale dobrze uzbrojony, a jego załoga jest znakomicie wyszkolona.";
				link.l1 = "Dzięki za radę, będę ją miał w pamięci.";
				link.l1.go = "Exit";

			}
			else
			{
		//1
		//grotto - first time

				dialog.text = "Zatem to ty jesteś złodziejką, która skradła moją część mapy.";
				link.l1 = "Co?! Co ty bredzisz? Nigdy w życiu cię nie widziałam, jak miałbym ukraść cokolwiek, co należało do ciebie?";
				link.l1.go = "2";

				NextDiag.TempNode = "First time";
			}
		break;

		case "2":
			dialog.text = "Jasne, nie ukradłaś. Po prostu leżała, więc ją podniosłaś. Drugą połówkę też, skoro udało ci się tutaj dotrzeć.";
			link.l1 = "Słuchaj, nie wiem dlaczego uważasz, że ja ją ukradłam, ale mówię ci, mylisz się. A przy okazji, jak ty się TUTAJ dostałeś?";
			link.l1.go = "3";
		break;

		case "3":
			dialog.text = "To proste, śledziłem cię, gdy zorientowałem się, kto ukradł mi mapę.";
			link.l1 = "A jak wpadłeś na to, że to ja ją ukradłam? Ciekawi mnie to.";
			link.l1.go = "4";
		break;

		case "4":
			dialog.text = "Dość tego! Przybyłem tu, aby cię zabić a nie zabawiać rozmową!";
			link.l1 = "A niech to...";
			link.l1.go = "Exit";
		break;

//grotto - dialog 2

		case "5":
			dialog.text = "Twarda jesteś, do diaska. Czemu się zatrzymałaś? Zakończmy to wreszcie!";
			link.l1 = "Gdybym chciała cię zabić, już bym to zrobiła. Chcę po prostu wiedzieć, dlaczego uważasz, że ukradłam twoją część mapy. A przede wszystkim, dlaczego uważasz, że to był twój kawałek.";
			link.l1.go = "6";
		break;

		case "6":
			dialog.text = "Na to mogę odpowiedzieć. Nie tak dawno temu podszedł do mnie dziwnie zachowujący się człowiek i dał mi połówkę mapy, wspominając coś o tym, że przyobiecał to mojemu ojcu. Pewnego ranka, niewiele później, złodziej zajął się tą mapą, podczas gdy ja oprawiałem jakiegoś mamuta w tawernie. Popytałaem ludzi, a byłem bardzo przekonujący w tej robocie, i dowiedziałem się, że widziano cię, jak wychodziłaś na zaplecze z czymś, co wyglądało jak kawałek mapy. Łącząc te fakty domyśliłem się, że to byłeś ty i że musisz szukać drugiej połowy. Zatem zdecydowałem, iż po prostu będę cię śledził.";
			link.l1 = "Ciekawe. Mimo wszystko dokonałeś złej oceny sytuacji - wprawdzie szukałam drugiej części mapy, ale była nią twoja połowa. Swoją miałam już od dłuższego czasu, a otrzymałam ją tak jak ty swoją. I to z nią mnie widziano. Jak sadzę to właśnie twoją część mapy kupiłam za ogromną cenę. Przypomnij mi, abym podziękowała Sharky'emu za sprzedawanie kradzionego towaru bez upustów.";
			link.l1.go = "7";
		break;

		case "7":
			dialog.text = "Ale wspomniałeś, że jesteś...";
			link.l1 = "Tą jedną, jedyną. Do twoich usług, bracie. Jaka to szkoda, że spotykamy się w tak absurdalnie przypadkowych okolicznościach, ale tak czy inaczej rada jestem, że cię widzę.";
			link.l1.go = "8";
			link.l2 = "Twoją siostrą. I obawiam się, że muszę cię zabić, ponieważ nie mam ochoty dzielić się tym skarbem z nikim. Czas kończyć to rodzinne spotkanie.";
			link.l2.go = "Exit kill";
		break;

		case "8":
			dialog.text = "Hmm... Jeśli się zastanowić, to te okoliczności nie są takie przypadkowe. Myślę, że nasz ojciec to zaplanował - to, byśmy odnaleźli się wzajemnie i dotarli tutaj. Pewnie nie przewidział tej części z kradzieżami, albo walki, ale reszta pasuje jak ulał. Zwłaszcza to wręczanie połówek mapy z naszymi imionami na nich.";
			link.l1 = "Chyba masz rację. Zastanawiam się, czy chciał, abyśmy spożytkowali to złoto w jakimś celu. Może chciał je nam podarować, ale coś mi na to nie wygląda...";
			link.l1.go = "9";
		break;

		case "9":
			dialog.text = "Nie wiem, ale to możliwe... Z tego, co wiem, gromadził to bogactwo w określonym celu. Widzisz, człowiek, który dał mi połówkę mapy, zostawił też pamiętnik ojca. Z niego dowiedziałem się, że ojciec miał marzenie - chciał stworzyć na Karaibach nowe państwo, wolne od wojen w imię Starego Świata i chciwości gubernatorów . Nazywał je Libertanią. Te pieniądze miały posłużyć do budowy tego państwa.";
			link.l1 = "Libertania, tak... To było wielkie marzenie. Ciekawa jestem jak daleko zaszedł z jego realizacją? Poza zgromadzeniem tego piekielnego skarbu, rzecz jasna.";
			link.l1.go = "10";
			link.l2 = "Te pieniądze powinny napełnić moje kieszenie. A każdy, kto ma inny pogląd na tę sprawę, ma zejść mi z drogi, albo zginie. A skoro nie chcesz na to pozwolić, muszę cię zabić.";
			link.l2.go = "Exit kill";
		break;

		case "10":
			dialog.text = "Wiele dokonał, ale jego wrogowie nie szczędzili wysiłków, aby ludzie zapomnieli o tym planie. 20 lat temu zebrał ogromną flotę, aby zjednoczyć kolonie, ale jeden z ludzi zdradził jego plany, a flota została zatrzymana i zniszczona przez połączone siły Anglii, Francji i Holandii. Nasz ojciec zginął podczas tej bitwy, a rządy państw uczyniły wszystko, by uznano go tylko za zwykłego pirata. Ale zdołał wprowadzić w życie plan naszego rozdzielenia i ukrycia, i zabezpieczenia majątku na czas kiedy dorastaliśmy w nieświadomości, abyśmy mogli dzielić z nim jego marzenie.";
			link.l1 = "Stary łotr odwalił kawał dobrej roboty. A przez całe życie uważałam, że mój staruszek był 'tylko' pospolitym piratem... Czekaj, powiedziałeś 'dzielić z nim jego marzenie' - naprawdę uważasz, że powinniśmy...";
			link.l1.go = "11";
		break;

		case "11":
			dialog.text = "Pomyśl o tym! Zrobił tak wiele, abyśmy otrzymali te kawałki mapy i jego pamiętnik  - on chciał, abyśmy kontynuowali jego dzieło, zrealizowali jego marzenie. I niech mnie licho, jesli nie jest to dzieło godne kontynuacji! Nie wiem, czy podołam, nie wiem, czy to w ogóle jest możliwe, ale jestem pewien, że muszę spróbować. A ty?";
			link.l1 = "Libertania... Podoba mi się to, co powiedziałeś, nawet, jeśli jest to niedorzeczność. Wchodzę w to, bracie!";
			link.l1.go = "Exit grotto continue";
			link.l2 = "Nie mówisz chyba poważnie o pokonaniu państw rządzących koloniami, przy całej tej potędze militarnej i gospodarczej, jaką dysponują? Możesz być pewien, że nie wezmę udziału w tak szalonym przedsięwzięciu. Ja zabieram przynależną mi połowę skarbu, ty ze swoją możesz zrobić co zechcesz.";
			link.l2.go = "Exit half";
			link.l3 = "Powinnam był acię zabić na początku, to by mi oszczędziło wysłuchania tych bredni. Czas naprawić ten błąd!";
			link.l3.go = "Exit kill";
		break;

//grotto - dialog 3

		case "12":
			dialog.text = "Wiesz, to miłe uczucie, poczuć się tak nagle członkiem rodziny...";
			link.l1 = "Tak... A od czego zaczniemy tworzenie nowego państwa?";
			link.l1.go = "13";
		break;

		case "13":
			dialog.text = "Prawdę mówiąc nie mam bladego pojęcia... Ale chyba znam kogoś, kto ma. Ojciec wspominał w pamiętniku o Robercie Staffordshire - zdaje się, że to był jego doradca w sprawach majątkowych. Przeprowadziłam pewne poszukiwania dotyczące jego osoby i dowiedziałam się, że jeszcze żyje i mieszka na Isla Mona. Nie wiem, czy zechce nam pomóc, ale to najlepsze, co mamy. Sądzę, że powinniśmy udać się do niego i porozmawiać.";
			link.l1 = "Zgoda. Jeśli pracował dla naszego ojca, może okazać się pomocny.";
			link.l1.go = "14";
		break;

		case "14":
			dialog.text = "Pojadę przodem i zaaranżuję spotkanie z nim. Będziemy na ciebie czekać w tawernie na Isla Mona.";
			link.l1 = "Będę tam.";
			link.l1.go = "Exit grotto end";
		break;

//after advisor quest done

		case "16":
			dialog.text = "Myślę, że on ma rację, poradzisz sobie z kapitanami lepiej niż ja. Ja zajmę się kupcami i bankierami, miałem z nimi wiele do czynienia.";
			link.l1 = "Tak, też tak myślę. Ufam twemu doświadczeniu.";
			link.l1.go = "17";
		break;

		case "17":
			dialog.text = "Zatem jadę. Mamy wiele do zrobienia. Powinienem wrócić w dwa tygodnie, ale to może potrwać i dłużej.";
			link.l1 = "Uważaj na siebie. Nie chciałabym cię znowu stracić.";
			link.l1.go = "18";
		break;

		case "18":
			dialog.text = "To było bardzo miłe, Beatrice. Nie wiedziałam, że jesteś taka czuła...";
			link.l1 = "Wielu rzeczy o mnie nie wiesz. Bywaj.";
			link.l1.go = "Exit";
		break;

//boss killed rant

		case "19":
			dialog.text = "Teraz ja tu jestem szefem. Masz z tym jakiś problem?";
			link.l1 = "...";
			link.l1.go = "20";
		break;

		case "20":
			dialog.text = "...Nie? Tak też myślałam. A teraz słuchaj, zaniesiesz ludziom wieść. Zwołuję zebranie wszystkich wolnych kapitanów, jacy zdołają tutaj przybyć. Za dwa tygodnie! Nie powiem ci po co ich wzywam, ale przekaż, że to rzecz ogromnej wagi. Spotkanie odbędzie się tutaj, w mojej rezydencji.";
			link.l1 = "...";
			link.l1.go = "Exit";
		break;

//at pirate meeting - autodialog 2

		case "21":
			dialog.text = "Cieszę się, że przybyliście. Nie jestem dobrą mówczynią, więc nie będę was zanudzała długimi przemówieniami. Jak zapewne wiecie, albo słyszeliście, ojciec mój, Nicolas Shark, chciał stworzyć na wyspach przed dwudziestu laty nowe, wolne państwo - Libertanię. Wolne od zachłannej grabieży państw Starego Świata, wolne od nieustannych wojen w imię pieniądza albo zasług wobec nikomu nie znanego króla. Jak też zapewno wiecie, przegrał - zdradzony przez jednego ze swoich ludzi stracił całą flotę. Nie macie jednak pojęcia, jak bliski był od osiągnięcia celu. Przybyłam, aby dokończyć jego marzenie, i wiem, jak to uczynić nie popełniając tych samych błędów, ale nie wygram tej walki w pojedynkę. Potrzebuje was, wolnych kapitanów i waszych statków, do walki z tymi, którzy nas ciemiężą, uciskając ponad miarę podatkami i obowiazkami. Nie proszę byście ginęli pod ostrzałem dział z ich fortów - nie, to o co proszę jest znacznie bardziej niebezpieczne i bardziej potrzebne naszej sprawie. Chcę, byście zamknęliszlaki żeglugowe, zatapiali ich konwoje, atakowali patrole. Chcę, byście byli zwiastunami wolności. Wiem, że proszę o wiele, ale i nagroda, jaką otrzymacie - wolność, będzie bezcenna. Zatem proszę Was teraz - zróbcie krok naprzód, i przyłączcie się do budowy nowego, lepszego świata, który zbudujemy dla siebie sami!";
			link.l1 = "...";
			link.l1.go = "Exit";
		break;

//at pirate meeting

		case "22":
			dialog.text = "Wątpicie w Beatrice i jej marzenie. Ale pozwólcie mi coś powiedzieć - jeżeli marzenie kogokolwiek z obecnych w tym pokoju może się ziścić, to będzie jej marzenie. Wahacie się. Jestem w stanie to zrozumieć - nie jest łatwo podejmować taką decyzję. Ale rozważcie jedno - szansa na zmianę oblicza świata jest rzadka. Niewielu było takich, którzy ją otrzymali, a nikt nie miał jej dwa razy. Tutaj i teraz otrzymujecie swoją szansę. I tylko od was zależy, czy coś z tym zrobicie. Ja wiem, że nie zamieniłbym jej na całe złoto świata! Dokonałem już wyboru, czas na was!";
			link.l1 = "...";
			link.l1.go = "Exit";
		break;

//at pirate meeting - autodialog 2

		case "23":
			dialog.text = "Panowie, nie pożałujecie tego wyboru. A teraz posłuchajcie, mamy wiele spraw do omówienia...";
			link.l1 = "...";
			link.l1.go = "23_exit";
		break;

		case "23_exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			AddDialogExitQuest("captains_long_speak");
		break;

		case "24":
			dialog.text = "...wiecie już, w czym rzecz, panowie. Zróbcie to, a zwycięstwo będzie nasze. Odmaszerować.";
			link.l1 = "...";
			link.l1.go = "Exit";
		break;

//after pirate meeting

		case "25":
			dialog.text = "Proszę, proszę. Beatrice, wygląda na to, że ci się udało. Gratuluję!";
			link.l1 = "Dokonaliśmy tego, Blaze, wspólnie. Gdyby nie twoja porywająca mowa, opuściliby mnie.";
			link.l1.go = "26";
		break;

		case "26":
			dialog.text = "Skoro tak mówisz. Zatem... co według ciebie powinniśmy teraz zrobić, moja droga przyrodnia siostro?..";
			link.l1 = "Chodź, posłuchaj, mam kilka zabawnych pomysłów, o ile nie masz teraz nic do roboty...";
			link.l1.go = "27";
		break;

		case "27":
			dialog.text = "Z przyjemnością ich wysłucham. Na osobności...";
			link.l1 = "Aye-aye, sir! Twoja kabina czy moja?";
			link.l1.go = "28";
		break;

		case "28":
			dialog.text = "Coś mi mówi, że ta rezydencja, która jest teraz naszą wspólną własnością, posiada tylko jedną sypialnię.";
			link.l1 = "Dobrze myślisz, spróbujmy zatem znaleźć dla niej najlepsze zastosowanie, mój panie!";
			link.l1.go = "Exit";
		break;

//exits

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;

		case "Exit grotto continue":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			DoQuestCheckDelay("Grotto continue", 1.0);

		break;

		case "Exit kill":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			DoQuestCheckDelay("Grotto kill", 1.0);

		break;

		case "Exit half":
			AddDialogExitQuest("Grotto half");
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;

		case "Exit grotto end":
			AddDialogExitQuest("Grotto end");
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}